import { Component } from '@angular/core';
import { MatIconModule } from '@angular/material/icon';
import { MatMenuModule } from '@angular/material/menu';
import { MatButtonModule } from '@angular/material/button';
import { LogoutService } from '../service/logout.service';

@Component({
  selector: 'app-options-menu',
  imports: [MatIconModule, MatMenuModule, MatButtonModule],
  templateUrl: './options-menu.component.html',
  styleUrl: './options-menu.component.css',
})
export class OptionsMenuComponent {
  constructor(private logoutService: LogoutService) {}

  logout() {
    this.logoutService.logout();
  }
}
